# PhasicFlow: demComponent Class Reference

demComponent Class Referenceabstract
Inheritance diagram for demComponent:
[legend]
Collaboration diagram for demComponent:
[legend]

## Public Member Functions

| TypeInfo ("demComponent")
| demComponent (const word &name, systemControl &control)
virtual | ~demComponent ()=default
const auto & | control () const
auto & | control ()
real | dt () const
real | currentTime () const
auto & | timers ()
const auto & | timers () const
virtual bool | beforeIteration ()=0
virtual bool | iterate ()=0
virtual bool | afterIteration ()=0

## Protected Attributes

word | componentName_
systemControl & | control_
Timers | timers_

## Detailed Description

Definition at line 31 of file demComponent.hpp.

## Constructor & Destructor Documentation

## demComponent()

demComponent | ( | const word & | name,
|  | systemControl & | control
| ) |  |

inline

Definition at line 47 of file demComponent.hpp.

## ~demComponent()

virtual ~demComponent | ( |  | ) |

virtualdefault

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "demComponent" |  | ) |

## control() [1/2]

const auto& control | ( |  | ) | const

inline

Definition at line 57 of file demComponent.hpp.

References demComponent::control_.

Referenced by particles::beforeIteration().

Here is the caller graph for this function:

## control() [2/2]

auto& control | ( |  | ) |

inline

Definition at line 62 of file demComponent.hpp.

References demComponent::control_.

## dt()

real dt | ( |  | ) | const

inline

Definition at line 68 of file demComponent.hpp.

References demComponent::control_, timeControl::dt(), and systemControl::time().

Here is the call graph for this function:

## currentTime()

real currentTime | ( |  | ) | const

inline

Definition at line 74 of file demComponent.hpp.

References demComponent::control_, timeControl::currentTime(), and systemControl::time().

Here is the call graph for this function:

## timers() [1/2]

auto& timers | ( |  | ) |

inline

Definition at line 79 of file demComponent.hpp.

References demComponent::timers_.

## timers() [2/2]

const auto& timers | ( |  | ) | const

inline

Definition at line 83 of file demComponent.hpp.

References demComponent::timers_.

## beforeIteration()

virtual bool beforeIteration | ( |  | ) |

pure virtual

Implemented in particles, geometry, sphereParticles, sphereInteraction< contactForceModel, geometryMotionModel, contactListType >, and geometryMotion< MotionModelType >.

## iterate()

virtual bool iterate | ( |  | ) |

pure virtual

Implemented in sphereParticles, sphereInteraction< contactForceModel, geometryMotionModel, contactListType >, and geometryMotion< MotionModelType >.

## afterIteration()

virtual bool afterIteration | ( |  | ) |

pure virtual

Implemented in geometry, sphereInteraction< contactForceModel, geometryMotionModel, contactListType >, sphereParticles, and geometryMotion< MotionModelType >.

## Member Data Documentation

## componentName_

word componentName_

protected

Definition at line 35 of file demComponent.hpp.

## control_

systemControl& control_

protected

Definition at line 38 of file demComponent.hpp.

Referenced by demComponent::control(), demComponent::currentTime(), and demComponent::dt().

## timers_

Timers timers_

protected

Definition at line 41 of file demComponent.hpp.

Referenced by demComponent::timers().

The documentation for this class was generated from the following file:

- src/demComponent/demComponent.hpp